summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMiroslav Šulc <fordfrog@gentoo.org>2020-08-02 14:26:43 +0200
committerMiroslav Šulc <fordfrog@gentoo.org>2020-08-02 14:27:14 +0200
commit6f85764a8172dfd9d8a37d9c0d7325868c4fbed0 (patch)
treef254e4763999900c59be5b89e4e070e71e16ddac /media-sound
parentdev-haskell/hex: raise lower bound up to ghc-8.8 (diff)
downloadgentoo-6f85764a8172dfd9d8a37d9c0d7325868c4fbed0.tar.gz
gentoo-6f85764a8172dfd9d8a37d9c0d7325868c4fbed0.tar.bz2
gentoo-6f85764a8172dfd9d8a37d9c0d7325868c4fbed0.zip
media-sound/chuck: bump to 1.4.0.1
Package-Manager: Portage-3.0.1, Repoman-2.3.23 Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>
Diffstat (limited to 'media-sound')
-rw-r--r--media-sound/chuck/Manifest1
-rw-r--r--media-sound/chuck/chuck-1.4.0.1.ebuild71
2 files changed, 72 insertions, 0 deletions
diff --git a/media-sound/chuck/Manifest b/media-sound/chuck/Manifest
index 9fb583bc5d7..1ce2070a1a3 100644
--- a/media-sound/chuck/Manifest
+++ b/media-sound/chuck/Manifest
@@ -1 +1,2 @@
DIST chuck-1.4.0.0.tgz 14664130 BLAKE2B 2009cc3f6905c7e4361aefdbcc89cab08d21328c6fe8ea366aad32a862428a5ffb16d45b1717e849d174f52e104ff0394a0aa2f93cfceed066e7b393edaabb1e SHA512 198b3c08a79bbbd2c0cdd5d9a7a11b8b58f09e949a3f5dd3f330af7d80fdb2861ca53dce807df555aed6ba917e72001ef7147b62a3ada57c34154102388dece1
+DIST chuck-1.4.0.1.tgz 14689073 BLAKE2B 408e2512f07a33fc86db80b05005ea65351257036f663153845038a0edeef95054dac9878d37eb22cc122035a6d1f80d008e151811277d4ee9d24ba3d79ad26b SHA512 92da0569349c900e633e8e3e544a0e5ec7df7b41a8508d2a99c825dfe490f00208b50b883298ce091b46f4e9274dabe0ec8bcfd80d094dd006b3c342f74bd202
diff --git a/media-sound/chuck/chuck-1.4.0.1.ebuild b/media-sound/chuck/chuck-1.4.0.1.ebuild
new file mode 100644
index 00000000000..81fd7cd0247
--- /dev/null
+++ b/media-sound/chuck/chuck-1.4.0.1.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="Strongly-timed, concurrent, and on-the-fly audio programming language"
+HOMEPAGE="http://chuck.cs.princeton.edu/"
+SRC_URI="http://chuck.cs.princeton.edu/release/files/${P}.tgz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+alsa jack examples"
+REQUIRED_USE="|| ( alsa jack )"
+
+RDEPEND="app-eselect/eselect-chuck
+ media-libs/libsndfile
+ alsa? ( media-libs/alsa-lib )
+ jack? ( virtual/jack )"
+DEPEND="${RDEPEND}
+ sys-devel/bison
+ sys-devel/flex"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.4.0.0-hid-smc.patch
+ "${FILESDIR}"/${PN}-1.4.0.0-makefile.patch
+)
+
+compile_backend() {
+ backend=$1
+ pushd "${S}/src" &>/dev/null || die
+ einfo "Compiling against ${backend}"
+ emake CC=$(tc-getCC) CXX=$(tc-getCXX) linux-${backend}
+ mv chuck{,-${backend}} || die
+ emake clean
+ popd &>/dev/null || die
+}
+
+src_compile() {
+ # when compile with athlon or athlon-xp flags
+ # chuck crashes on removing a shred with a double free or corruption
+ # it happens in Chuck_VM_Stack::shutdown() on the line
+ # SAFE_DELETE_ARRAY( stack );
+ replace-cpu-flags athlon athlon-xp i686
+
+ use jack && compile_backend jack
+ use alsa && compile_backend alsa
+}
+
+src_install() {
+ use jack && dobin src/chuck-jack
+ use alsa && dobin src/chuck-alsa
+
+ dodoc AUTHORS DEVELOPER PROGRAMMER QUICKSTART README THANKS TODO VERSIONS
+ if use examples; then
+ docinto /usr/share/doc/${PF}/
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
+
+pkg_postinst() {
+ if [[ -z ${REPLACING_VERSIONS} ]]; then
+ elog "Chuck now can use multiple audio engines, so you can specify"
+ elog "the preferred audio engine with chuck-{jack,alsa}"
+ elog "Or you can use 'eselect chuck' to set the audio engine"
+ fi
+ eselect chuck update --if-unset
+}